Auto Multiple Choice - Bug # 856: Probleme impression copies séparées vides
Description: Bonjour,

aujourd'hui, soudainement, le AMC installé sur mon Linux Ubuntu imprime des copies séparées vides.

Je n'ai rien changé dans la paramétrisation d'AMC depuis ma derniére utilisation le 14 novembre :
- je compile avec xelatex

- jimprime avec CUPS

- j'extrais les copies avec sedja-console

Le DOC-sujet.pdf est normal (cf. page 1 en PJ), la mise en page s'affiche correctement, le seule commentaire
sur le terminal aprés I'impression est : "Use of uninitialized value at /usr/share/perl5/AMC/State.pm line 150."

Ou peut-bien étre le bug ?
Que puis-je faire pour imprimer des copies non vides ?

Un grand merci,
Alessandra

History

11/23/2022 03:54 pm - Alexis Bienveniie

Pouvez-vous imprimer une copie en mode débogage (depuis le menu _Aide_) et poster le fichier @log@ produit ?

11/23/2022 04:21 pm - Alessandra Frabetti
- File AMC-test.zip added

Alexis Bienveniie wrote:

> Pouvez-vous imprimer une copie en mode débogage (depuis le menu _Aide_) et poster le fichier @log@ produit ?

J'ai fait un projet AMC-test avec un seul étudiant, compilé en mode debug, en PJ le zip complet avec fichier log.

11/23/2022 06:37 pm - Alexis Bienvenlie

> en PJ le zip complet avec fichier log.

Le fichier @log@ produit par le débogage sera aussi utile. Lors du passage en mode débogage, son nom est affiché. Il se trouve normalement dans le
répertoire @/tmp@ et a un nom du genre @AMC-DEBUG-XXXXXX.log@.

11/23/2022 07:58 pm - Alessandra Frabetti

- File AMC-DEBUG-2wLBXifY.log added

Alexis Bienvenue wrote:

> > en PJ le zip complet avec fichier log.

> Le fichier @log@ produit par le débogage sera aussi utile. Lors du passage en mode débogage, son nom est affiché. Il se trouve normalement dans
le répertoire @/tmp@ et a un nom du genre @AMC-DEBUG-XXXXXX.log@.

Ah, le voila, merci des indications précises :-)
11/23/2022 08:52 pm - Alexis Bienveniie
Visiblement @sejda-console@ n'est pas installé sur votre machine, ou du moins AMC ne le trouve pas. Il utilise donc @pdftk@.
Pouvez-vous essayer la commande suivante dans un terminal et nous dire ce qu'elle affiche, et si un fichier @/tmp/a.pdf@ est produit ?

pdftk /home/frabetti/enseignement/Math2A/2022-examens/AMC-test/DOC-sujet.pdf cat 1-4 output /tmp/a.pdf

11/24/2022 01:36 am - Alessandra Frabetti

Alexis Bienvenue wrote:

> Visiblement @sejda-console@ n'est pas installé sur votre machine, ou du moins AMC ne le trouve pas. Il utilise donc @pdftk@.

> Pouvez-vous essayer la commande suivante dans un terminal et nous dire ce qu'elle affiche, et si un fichier @/tmp/a.pdf@ est produit ?
>

> pdftk /home/frabetti/enseignement/Math2A/2022-examens/AMC-test/DOC-sujet.pdf cat 1-4 output /tmp/a.pdf

Ah, j'ai executé : le terminal n'affiche rien et le fichier /tmp/a.pdf n'est pas produit !

11/24/2022 07:48 am - Alexis Bienveniie

Il'y a donc un probléme avec @pdftk@.

Pouvez-vous essayer en réinstallant @pdftk@, ou bien en "installant @sejda-console@":https://github.com/torakiki/sejda/releases/tag/v3.2.85 ?
11/24/2022 10:29 am - Alessandra Frabetti

Alexis Bienvenle wrote:

> Il y a donc un probléme avec @pdftk@.

> Pouvez-vous essayer en réinstallant @pdftk@, ou bien en "installant @sejda-console@":https:/github.com/torakiki/sejda/releases/tag/v3.2.85 ?

sejda-console je n'ai pas réussi a la (re) installer, mais pdfftk oui, et maintenant ¢a marche bient en indiquant sur AMC I'extraction avec pdftk.

Merci ! et désolée d'avoir dérangé pour une telle bétise, pdftk et sejda étaient déja installés sur mon ordi, je ne comprends pas comment ils ont pu

disparaitre depuis le 14 novembre... Bah.

Merci encore ! Alessandra

11/24/2022 10:38 am - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100

Super. Bizarre effectivement ce @pdftk@ qui cesse de fonctionner...

Files

DOC-sujet-page1.pdf 48.3kB 11/23/2022 Alessandra Frabetti
AMC-test.zip 148.9 kB 11/23/2022 Alessandra Frabetti
AMC-DEBUG-2wLBXifY.log 161.1 kB 11/23/2022 Alessandra Frabetti
